'use strict';

var ReactExports = require('react');
var shallow = require('zustand/vanilla/shallow');

var useRef = ReactExports.useRef;
function useShallow(selector) {
  var prev = useRef();
  return function (state) {
    var next = selector(state);
    return shallow.shallow(prev.current, next) ? prev.current : prev.current = next;
  };
}

exports.useShallow = useShallow;
